import { html as a } from "lit";
import { property as n } from "lit/decorators.js";
import { PieIconComponent as f } from "./PieIconComponent.js";
import { safeCustomElement as g } from "@justeattakeaway/pie-webc-core";
var h = Object.defineProperty, m = Object.getOwnPropertyDescriptor, l = (c, r, s, t) => {
  for (var e = t > 1 ? void 0 : t ? m(r, s) : r, i = c.length - 1, p; i >= 0; i--)
    (p = c[i]) && (e = (t ? p(r, s, e) : p(e)) || e);
  return t && e && h(r, s, e), e;
};
let o = class extends f {
  constructor() {
    super(...arguments), this.size = 32, this.defaultClasses = "c-pieIcon c-pieIcon--arrowLeftLarge", this.class = "c-pieIcon c-pieIcon--arrowLeftLarge", this.name = "IconArrowLeftLarge";
  }
  render() {
    return a`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 32 32" class="c-pieIcon c-pieIcon--arrowLeftLarge"><path d="M28.25 15.125H6.375l7-7-1.207-1.243-7.875 7.875a1.751 1.751 0 0 0 0 2.477l7.875 7.875 1.207-1.234-7-7H28.25v-1.75Z"></path></svg>`;
  }
};
l([
  n({ type: String, reflect: !0 })
], o.prototype, "size", 2);
l([
  n({ type: String, reflect: !0 })
], o.prototype, "class", 2);
o = l([
  g("icon-arrow-left-large")
], o);
export {
  o as IconArrowLeftLarge
};
